repo/gentoo:master commit in: dev-dotnet/dotnet-sdk-bin/
Maciej BarÄ <[email protected]>
| Newsgroups | gmane.linux.gentoo.cvs |
|---|---|
| Message-ID | <1787065746.350e99f0739765924a18694d6ae19bc89d778f2b.xgqt@gentoo> |
commit: 350e99f0739765924a18694d6ae19bc89d778f2b
Author: Maciej Barć <xgqt <AT> gentoo <DOT> org>
AuthorDate: Tue Aug 18 13:45:21 2026 +0000
Commit: Maciej Barć <xgqt <AT> gentoo <DOT> org>
CommitDate: Tue Aug 18 15:09:06 2026 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=350e99f0
dev-dotnet/dotnet-sdk-bin: bump to 10.0.111
Signed-off-by: Maciej Barć <xgqt <AT> gentoo.org>
dev-dotnet/dotnet-sdk-bin/Manifest | 6 +
.../dotnet-sdk-bin/dotnet-sdk-bin-10.0.111.ebuild | 175 +++++++++++++++++++++
2 files changed, 181 insertions(+)
diff --git a/dev-dotnet/dotnet-sdk-bin/Manifest b/dev-dotnet/dotnet-sdk-bin/Manifest
index 0bc112186dd1..9b916c86470b 100644
--- a/dev-dotnet/dotnet-sdk-bin/Manifest
+++ b/dev-dotnet/dotnet-sdk-bin/Manifest
@@ -4,6 +4,12 @@ DIST dotnet-sdk-10.0.107-linux-musl-arm.tar.gz 233596576 BLAKE2B cb6d62bdcbc24af
DIST dotnet-sdk-10.0.107-linux-musl-arm64.tar.gz 232716924 BLAKE2B 2ee59a039dfca28d5ebe05af35cf75124333c4795c7327a418876e315a4abae428d022842363ce2431f5360d55e22b6f93bb6fbf4e9e2b95799e6b4a730f0e7e SHA512 21083dafe38e70591cf69f8fcf7dd1882aff11966f2f2a162ba9df8dc322904a8b0a1eac198051b2b506086ae066d2fafbe064a2975e5fa4bd9ec3c701edba17
DIST dotnet-sdk-10.0.107-linux-musl-x64.tar.gz 240222462 BLAKE2B 8ab32fb035f8f61bab34dd8c3586b0392d72869edd10e73cf258d8c8007e77fd8d0b51ad3d3cfa7d9882597a4eacca4ccd9ae4270ef2cf49a4c5a603ca849ad7 SHA512 c0a033f21a1261304e5f15cfe1e07b6b5eb922247e555fb16797ea227e79aa29cc2aa9f07cc9bb2aeb408cbc6db970877aeca6ec2756b8182afc4b95c86b4cc0
DIST dotnet-sdk-10.0.107-linux-x64.tar.gz 240184168 BLAKE2B bb6d2e699f2f5b718171d77c295155b0fa3a5947c524358430234a28504851671dec72276f942e61be3443eee8628eecb28c654661f193efaea70b2632c39853 SHA512 a92ed9b9c81902c54b5e05fa10effcd325976bab2b0b3ab412889723056e9c8b83714b4e956b00f8d2ee316431287b74af398817a6725c406c612146d0ac116a
+DIST dotnet-sdk-10.0.111-linux-arm.tar.gz 232934947 BLAKE2B 8930f7686a3483281da7bc3ef4c593ec967dabf19e2e543735ec56b34fdde0e969199c512c30de44af21143ab7f4389cb61933a4463826d575c7bfe9fe0102e6 SHA512 6ced4d80e50a2b3b9ea859ef0ff2c638018be219507487249ba1783bbf2fd6eabc1bd8ed60a56528890d6eb36f484bb5b64e4a726562321fa6aef688cba082e2
+DIST dotnet-sdk-10.0.111-linux-arm64.tar.gz 232236734 BLAKE2B c3c232b02632573a95d9072656029fd92fdd6714bf2c19b351b13ac0e216d0cdd20329e57c77c6605417af26ba6547a1c944b1d0dcb211a98a17b4f15d6258a2 SHA512 1e115ddb850950d4514d6a3b32b2d17b240a4f0f40b37202df4e5bdf6832a0e546722e6bf9b9ed7df7cccb34df5f5e48bcb075322fb01815bffc6e9c23999f0e
+DIST dotnet-sdk-10.0.111-linux-musl-arm.tar.gz 232972345 BLAKE2B e60b51bd0a02c4e40365b0625def5bad7726327421e469ca921d38ed754568c1f98e5b302699aecb4672b2bad0603544ed70957494d2682e86ef6425453ee64f SHA512 1065a4d6fae67bcce2ebd1eac0e9f9b488f2b2398331eff3b3865ad159cd9d25ef1990fce85e3435e7616bbcccd02866813b0ba76874f7beccfe6b692889767b
+DIST dotnet-sdk-10.0.111-linux-musl-arm64.tar.gz 232205901 BLAKE2B fcc9609b6310033d8ba0071ea946b4bd2ee2968fb9fb8f996d2039952ddb74d29ef04ed9fb5bb3fd2dff0576e0abb89b5b2796fc997407c63637483ce27be2c9 SHA512 4b9dcbcf9df33145102abbc57ddc3df34cae0d79ddcb35be2504fd112a95f8c2ddf346c7a7ae1cc27188bd449dc7177e438b79b52abd6b249e2dc667b3081c2d
+DIST dotnet-sdk-10.0.111-linux-musl-x64.tar.gz 239701520 BLAKE2B 0b58d05ddf6aae26743f1bc6edc35ec097ee4341f841562de1b13cb25613b560808e8effc176f3eedae4f8c90ed913713a70ebfb9c2efc76fb285a75e83e38e1 SHA512 25164a4a4ac03650db7b74820f294987e64f35d77976fa070e2c7902cf76f8ae6d6b7d55ab3d10b2747268cc039ad4ecb885c8357cd611f6570dbc4e8aa8f684
+DIST dotnet-sdk-10.0.111-linux-x64.tar.gz 239732427 BLAKE2B 636bbe9003cebad89fd026caf804bfbda26a53ebd799e5ea94bd3ec63f03aebecb785dee86fe3c0db04dd3103b36646785c16928fb4757c4183ea9e0da12a89e SHA512 aae221be96a3b510d5b6fffefc69d8ad2fa595a1430299419316bb71c65f260a457ca9af24d044e1709b28a9118798caafec535ccfe58f7767c5acb735c00392
DIST dotnet-sdk-10.0.203-linux-arm.tar.gz 235484834 BLAKE2B ab553bdc02e0bebef7d82f381c087d6045ef978682ea114fc8bf9b3afe2915529d43da2f240b9c9a57114f8ad0b80677957da09cac14df764a4f8d9538afce2a SHA512 93c792edaf740018ba5605b9ae2167f01fe63982510b5e438072f63fa214aee95a3fc633cf028a7cc20ab0b60119dacafeeec28e616921766b56f88e218a6b06
DIST dotnet-sdk-10.0.203-linux-arm64.tar.gz 234634869 BLAKE2B aeb9b55b2ce690c8fd7d1441c8ba5a06e4762cd231a39e4c3f16bb8273afccda21d102810938be5cad85d54f604a62c37936f22113beefcacc7ad691013181ee SHA512 7fbc8e8b20b6d6cb40269544ea4b5e919dd7fc7b066b429f32e7fa9087224f17445b90c7807c46745cc42f299dd7ef65abd023bec03fc341ce07a5bb52a59218
DIST dotnet-sdk-10.0.203-linux-musl-arm.tar.gz 235456035 BLAKE2B 8dd63016fae470a582eb42015195e4a5d988d01acae05002573a057d1e4f76985ceebd00574faee1e7cb3e35e72be9c8869644393474e46502a6d4dbc2d5e5f9 SHA512 8c10de1c7b6a3e2ac381cef121cedb7ac9f071b601496bdf1fee84956278425b8b207ed58c2cb78236cc40ffad7e203444a0f27b022559b5a6b76f1551e8e0a5
diff --git a/dev-dotnet/dotnet-sdk-bin/dotnet-sdk-bin-10.0.111.ebuild b/dev-dotnet/dotnet-sdk-bin/dotnet-sdk-bin-10.0.111.ebuild
new file mode 100644
index 000000000000..e0f4cc2ebe51
--- /dev/null
+++ b/dev-dotnet/dotnet-sdk-bin/dotnet-sdk-bin-10.0.111.ebuild
@@ -0,0 +1,175 @@
+# Copyright 1999-2026 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=9
+
+SDK_SLOT="$(ver_cut 1-2)"
+RUNTIME_SLOT="${SDK_SLOT}.11"
+
+DESCRIPTION=".NET is a free, cross-platform, open-source developer platform"
+HOMEPAGE="https://dotnet.microsoft.com/
+ https://github.com/dotnet/dotnet/"
+SRC_URI="
+amd64? (
+ elibc_glibc? (
+ https://builds.dotnet.microsoft.com/dotnet/Sdk/${PV}/dotnet-sdk-${PV}-linux-x64.tar.gz
+ )
+ elibc_musl? (
+ https://builds.dotnet.microsoft.com/dotnet/Sdk/${PV}/dotnet-sdk-${PV}-linux-musl-x64.tar.gz
+ )
+)
+arm? (
+ elibc_glibc? (
+ https://builds.dotnet.microsoft.com/dotnet/Sdk/${PV}/dotnet-sdk-${PV}-linux-arm.tar.gz
+ )
+ elibc_musl? (
+ https://builds.dotnet.microsoft.com/dotnet/Sdk/${PV}/dotnet-sdk-${PV}-linux-musl-arm.tar.gz
+ )
+)
+arm64? (
+ elibc_glibc? (
+ https://builds.dotnet.microsoft.com/dotnet/Sdk/${PV}/dotnet-sdk-${PV}-linux-arm64.tar.gz
+ )
+ elibc_musl? (
+ https://builds.dotnet.microsoft.com/dotnet/Sdk/${PV}/dotnet-sdk-${PV}-linux-musl-arm64.tar.gz
+ )
+)
+"
+S="${WORKDIR}"
+
+LICENSE="MIT"
+SLOT="${SDK_SLOT}/${RUNTIME_SLOT}"
+# See bug https://bugs.gentoo.org/932377
+KEYWORDS="~amd64 ~arm ~arm64"
+
+# STRIP="llvm-strip" corrupts some executables when using the patchelf hack,
+# bug https://bugs.gentoo.org/923430
+RESTRICT="splitdebug strip"
+
+CURRENT_NUGETS_DEPEND="
+ ~dev-dotnet/dotnet-runtime-nugets-${RUNTIME_SLOT}
+"
+EXTRA_NUGETS_DEPEND="
+ ~dev-dotnet/dotnet-runtime-nugets-6.0.36
+ ~dev-dotnet/dotnet-runtime-nugets-7.0.20
+ ~dev-dotnet/dotnet-runtime-nugets-8.0.30
+ ~dev-dotnet/dotnet-runtime-nugets-9.0.19
+"
+NUGETS_DEPEND="
+ ${CURRENT_NUGETS_DEPEND}
+ ${EXTRA_NUGETS_DEPEND}
+"
+
+RDEPEND="
+ app-crypt/mit-krb5:0/0
+ dev-libs/icu
+ virtual/zlib:0/1
+ || (
+ dev-util/lttng-ust-compat:0/2.12
+ dev-util/lttng-ust:0/2.12
+ )
+"
+BDEPEND="
+ dev-util/patchelf
+"
+IDEPEND="
+ app-eselect/eselect-dotnet
+"
+PDEPEND="
+ ${NUGETS_DEPEND}
+"
+
+QA_PREBUILT="*"
+
+MUSL_BAD_LINKS=(
+ apphost
+ createdump
+ dotnet
+ libSystem.Globalization.Native.so
+ libSystem.IO.Compression.Native.so
+ libSystem.Native.so
+ libSystem.Net.Security.Native.so
+ libSystem.Security.Cryptography.Native.OpenSsl.so
+ libclrgc.so
+ libclrjit.so
+ libcoreclr.so
+ libcoreclrtraceptprovider.so
+ libdbgshim.so
+ libhostfxr.so
+ libhostpolicy.so
+ libmscordaccore.so
+ libmscordbi.so
+ libnethost.so
+ singlefilehost
+)
+MUSL_BAD_SONAMES=(
+ libc.musl-aarch64.so.1
+ libc.musl-armv7.so.1
+ libc.musl-x86_64.so.1
+)
+
+src_prepare() {
+ default
+
+ # Fix musl libc SONAME links, bug https://bugs.gentoo.org/894760
+ if use elibc_musl ; then
+ local musl_bad_link
+ local musl_bad_link_path
+ local musl_bad_soname
+
+ for musl_bad_link in "${MUSL_BAD_LINKS[@]}" ; do
+ while read -r musl_bad_link_path ; do
+ # Skip if file either does not end with ".so" or is not executable.
+ # Using "case" here for easier matching in case we have to add
+ # a special exception.
+ case "${musl_bad_link_path}" in
+ *.so )
+ :
+ ;;
+ * )
+ if [[ ! -x "${musl_bad_link_path}" ]] ; then
+ continue
+ fi
+ ;;
+ esac
+
+ einfo "Fixing musl libc link for ${musl_bad_link_path}"
+
+ for musl_bad_soname in "${MUSL_BAD_SONAMES[@]}" ; do
+ patchelf --remove-needed "${musl_bad_soname}" "${musl_bad_link_path}" || die
+ done
+
+ patchelf --add-needed libc.so "${musl_bad_link_path}" || die
+ done < <(find . -type f -name "${musl_bad_link}")
+ done
+ fi
+
+ # Remove static libraries, bug https://bugs.gentoo.org/825774
+ find ./packs -type f -name "libnethost.a" -delete || die
+}
+
+src_install() {
+ local dest="opt/${PN}-${SDK_SLOT}"
+ dodir "${dest%/*}"
+
+ # Create a magic workloads file, bug #841896
+ local featureband="$(( $(ver_cut 3) / 100 * 100 ))" # e.g. 404 -> 400
+ local workloads="metadata/workloads/${SDK_SLOT}.${featureband}"
+
+ mkdir -p "${S}/${workloads}" || die
+ touch "${S}/${workloads}/userlocal" || die
+
+ mv "${S}" "${ED}/${dest}" || die
+ mkdir "${S}" || die
+
+ fperms 0755 "/${dest}"
+ dosym "../../${dest}/dotnet" "/usr/bin/dotnet-bin-${SDK_SLOT}"
+}
+
+pkg_postinst() {
+ eselect dotnet update ifunset
+}
+
+pkg_postrm() {
+ eselect dotnet update ifunset
+}